rowSums {spam} | R Documentation

## Form Row and Column Sums and Means

### Description

Form row and column sums and means for sparse `spam` matrices

### Usage

    rowSums(x, na.rm = FALSE, dims = 1, ...)
    colSums(x, na.rm = FALSE, dims = 1, ...)
    rowMeans(x, na.rm = FALSE, dims = 1, ...)
    colMeans(x, na.rm = FALSE, dims = 1, ...)

### Arguments

`x` | a `spam` object
`na.rm` | currently ignored
`dims` | ignored as we have only two dimensions.
`...` | potentially further arguments from other methods.

### Details

Depending on the flag .

### Value

Vector of appropriate length.

### Author(s)

Reinhard Furrer

### See Also

`apply.spam`, `spam.options`.

### Examples

    x <- spam( rnorm(20), 5, 4)
    rowSums( x)
    c( x %*% rep(1,4))

[Package spam version 2.2-2 Index]